Virtu Financial, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/virtu-financial-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/virtu-financial-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1743379200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.sec.gov/Archives/edgar/data/1592386/000159238625000080/virt-20250331.htm",
    "holding_balance": 235.0,
    "holding_net_change": 235.0,
    "transaction_value_usd": 19416000.0,
    "average_entry_value_usd": 82621.28,
    "transaction_value_calculated": false
  },
  {
    "date": 1754006400000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://x.com/btcNLNico/status/1951018664788107301?t=H87booRtv0r-rOKyj_wjag&s=19",
    "holding_balance": 410.0,
    "holding_net_change": 175.0,
    "transaction_value_usd": 18783275.0,
    "average_entry_value_usd": 107333.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/virtu-financial-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    410.0
  ],
  [
    1782950400000,
    410.0
  ],
  [
    1783036800000,
    410.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/virtu-financial-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    24585465.5
  ],
  [
    1782950400000,
    25210010.3
  ],
  [
    1783036800000,
    25635655.9
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/virtu-financial-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 58.49,
    "date": "2026-06-30",
    "high": 62.122,
    "open": 59.22,
    "close": 59.57,
    "volume": 1523800
  },
  {
    "low": 61.06,
    "date": "2026-07-01",
    "high": 63.06,
    "open": 63.06,
    "close": 61.73,
    "volume": 927000
  },
  {
    "low": 60.86,
    "date": "2026-07-02",
    "high": 62.97,
    "open": 62.35,
    "close": 61.77,
    "volume": 1069500
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/virtu-financial-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 1.3738,
  "quarterly_earnings_growth": 0.843,
  "eps_estimate_current_quarter": 1.6463
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/virtu-financial-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 24.76,
  "six_month_return": 81.84,
  "three_month_return": 39.15
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/virtu-financial-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.2,
  "total_btc_percentage": 0.002,
  "share_price_change_state": "down"
}